.right-then-center
{
    text-align : right;
}

.left-then-center
{
    text-align : left;
}

#layouts div
{
    display : none;
    text-align : center;
}

#main .column .column input[type=text]:not(.hasDatepicker), 
#main .column .columns input[type=text]:not(.hasDatepicker), 
#main .column .column select,
#main .column .columns select,
#main .column .column textarea,
#main .column .columns textarea,
#main .column .column input[type=password],
#main .column .columns input[type=password]
{
    width : 100%;
    box-sizing : border-box;
}

#main .column .column input.hasDatepicker, 
#main .column .columns input.hasDatepicker 
{
    width : calc(100% - 50px);
    box-sizing : border-box;
}


/* Smaller than standard 960 (devices and browsers) */
@media only screen and (max-width: 959px) 
{
    .hide959
    {
        display : none !important;
    }
}

/* Tablet Portrait size to standard 960 (devices and browsers) */
@media only screen and (min-width: 768px) and (max-width: 959px)
{
    .layout768w959
    {
        display : block !important;
    }
}

/* All Mobile Sizes (devices and browser) */
@media only screen and (max-width: 767px) 
{

    .right-then-center,
    .left-then-center
    {
        text-align : center;
    }
    
    .hide767
    {
        display : none !important;
    }
    
    .nomargin767
    {
        margin : 0px !important;
    }

}

/* Mobile Landscape Size to Tablet Portrait (devices and browsers) */
@media only screen and (min-width: 480px) and (max-width: 767px)
{
    .layout480w767
    {
        display : block !important;
    }
}

/* Mobile Portrait Size to Mobile Landscape Size (devices and browsers) */
@media only screen and (max-width: 479px)
{
    .layoutw479
    {
        display : block !important;
    }
}